[package]
name = "deps_index"
version = "0.1.4"
authors = ["Kornel <kornel@geekhood.net>"]
edition.workspace = true
publish = false

[lib]
doctest = false

[dependencies]
crates-index.workspace = true
flate2 = { version = "1.0.35", features = ["cloudflare_zlib"], default-features = false } # for crates-index
rich_crate = { path = "../rich_crate", version = "0.6" }
repo_url = { path = "../repo_url", version = "0.3.0" }
util = { path = "../util" }
feat_extractor = { path = "../feat_extractor" }
serde = { workspace = true }
serde_json = "1.0.44"
toml = "0.8.10"
lazy_static = "1.4.0"
regex = { workspace = true }
url = "2.5.2"
tokio = { workspace = true }
rayon = "1.10.0"
reqwest.workspace = true
semver = { version = "1.0.4", features = ["serde"] }
parking_lot = "0.12.0"
parse_cfg = "4"
futures = "0.3.30"
double-checked-cell-async = "2.0.2"
triomphe = "0.1.1"
thiserror = "2.0.3"
log = "0.4.14"
old_semver = { version = "0.10", package = "semver", features = ["serde"] }
dashmap = "6.0.1"
unicase = "2.7.0"
blocking = { path = "../blocking" }
lasso = { version = "0.7.2", features = ["multi-threaded", "dashmap", "ahasher"] }
arc-swap = "1.7.1"

[lints]
workspace = true
